Get Sync Source

Describes the source configuration available on a connection for use as a model sync source. Use this endpoint before creating a model to understand what configuration is available. Once you have a configuration, resolve the fields available for sync mapping with [`GET /api/connections/{id}/modelsync/source/fields`](../../../../../api-reference/model-sync/get-source-fields).

Authentication

AuthorizationBearer
Bearer user API key
OR
AuthorizationBasic

Basic organization-scoped API key

Path parameters

idstringRequiredformat: "uuid"
Unique identifier of the connection.

Headers

X-Polytomic-VersionstringRequired

Query parameters

paramsmap from strings to lists of stringsOptional
Query parameters used to incrementally refine a dependent source configuration. Keys correspond to configuration fields returned by previous calls to this endpoint.

Response

OK
dataobject

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error